Webhook Subscriptions
Overview
Webhooks are automated notifications generated by system events that occur in your organization. You can subscribe to these event types to receive a notification when a customer makes a payment. Set the eventTypes request field to one of the values shown in these tables.
Merchant Webhook Event
| Event Type Field Value | Description |
|---|---|
payByLink.merchant.payment | Merchants can subscribe to this event type to automate how their system is informed when a customer completes a payment. |
Partner Reseller Webhook Event
| Event Type Field Value | Description |
|---|---|
payByLink.customer.payment | Partner resellers can subscribe to this event type to control the distribution of the payment confirmation email sent to their merchants' customers. |
Use the example in this section only to reference how to format the eventTypes request field and its values.
You can designate a destination URL for the webhook notifications.
Pay by Link uses message-level encryption to send notifications that contain sensitive, personally identifiable information such as account numbers.
Prerequisites
Transport Layer Security (TLS) is required to ensure data integrity.
For securityType: "KEY", generate a shared secret key before creating the subscription. See the key generation instructions in the Webhooks Implementation Guide linked in the Additional Requirements section.
Additional Requirements
The eventTypes values shown in this guide are specific to Pay by Link. Configure the remaining request fields — including organizationId, securityPolicy, and retryPolicy — using the instructions in the Webhooks Implementation Guide. To subscribe to Pay by Link webhook notifications, see the Webhooks Implementation Guide for the REST API:
Example
Endpoint: POST /notification-subscriptions/v1/webhooks
For environment base URLs, see Endpoints: Pay by Link.
{ "name": "PBL Webhook Subscription", "description": "PBL Webhook for Digital Accept", "organizationId": "digital_accept_lab", "productId": "payByLink", "eventTypes": [ "payByLink.customer.payment", "payByLink.merchant.payment" ], "webhookUrl": "https://test.com:443/test", "healthCheckUrl": "https://test.com:443/test", "notificationScope": "SELF", "retryPolicy": { "algorithm": "ARITHMETIC", "firstRetry": 1, "interval": 1, "numberOfRetries": 3, "deactivateFlag": "false", "repeatSequenceCount": 0, "repeatSequenceWaitTime": 0 }, "securityPolicy": { "securityType": "KEY", "proxyType": "external" }}{ "organizationId": "digital_accept_lab", "productId": "payByLink", "eventTypes": [ "payByLink.customer.payment", "payByLink.merchant.payment" ], "webhookId": "1928667e-f9f7-8a37-e063-9c588e0a7e3b", "name": "PBL Webhook Subscription", "webhookUrl": "https://test.com:443/test", "healthCheckUrl": "https://test.com:443/test", "createdOn": "2024-05-23T23:27:54.268Z", "status": "INACTIVE", "description": "PBL Webhook for Digital Accept", "retryPolicy": { "algorithm": "ARITHMETIC", "firstRetry": 1, "interval": 1, "numberOfRetries": 3, "deactivateFlag": false, "repeatSequenceCount": 0, "repeatSequenceWaitTime": 0 }, "securityPolicy": { "securityType": "KEY", "proxyType": "external", "digitalSignatureEnabled": "yes" }, "version": "3", "deliveryType": "nrtdCentral", "notificationScope": "SELF"}A newly created webhook subscription is initially INACTIVE. To activate it, follow the activation steps in the Webhooks Implementation Guide.
Thanks for your feedback!
Last published: September 29, 2026